Subject: Re: bug#12251: 24.2.50; crash in note_mouse_highlight

From: Sam Steingold <[email-masked]>
Date: Wed, 5 Sep 2012 15:56:08 -0400

On Sat, Sep 1, 2012 at 5:36 AM, Eli Zaretskii <[email-masked]> wrote:
>> On Thu, Aug 30, 2012 at 4:03 AM, martin rudalics <[email-masked]> wrote:
>> >> I am running
>> >> (emacs-bzr-version "109806
>> >> [email-masked]")
>> >> with your patch.
>> >
>> > And did you get a crash or the "window ... is not a live window"
>> > with that?
>>
>> no crashes, no errors.
>> yet.
>
> So do we still have a problem or problems with note_mouse_movement
> that I need to look into?

emacs just hang when I sent an email.
it keep raising an error (the top and bottom lines are blue - visual bell).
the emacs has just been rebuilt.
$ bzr revno
109892
I also applied your patch.

^Z
Program received signal SIGTSTP, Stopped (user).
0x00007ffff3eba8fc in pselect () from /lib/x86_64-linux-gnu/libc.so.6
(gdb) where
#0  0x00007ffff3eba8fc in pselect () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00000000004b998f in XTflash (f=0x1175d50) at
/home/sds/src/emacs/trunk/src/xterm.c:3178
#2  XTring_bell (f=0x1175d50) at /home/sds/src/emacs/trunk/src/xterm.c:3246
#3  0x00000000004e4a4f in cmd_error_internal (data=54077670,
context=0x7fffffffcf50 "")
    at /home/sds/src/emacs/trunk/src/keyboard.c:1138
#4  0x00000000004e4bc3 in cmd_error (data=54077670) at
/home/sds/src/emacs/trunk/src/keyboard.c:1071
#5  0x0000000000556f69 in internal_condition_case (bfun=0x4f01b0
<command_loop_1>, handlers=12039698, hfun=0x4e4ab0 <cmd_error>)
    at /home/sds/src/emacs/trunk/src/eval.c:1309
#6  0x00000000004e2a7e in command_loop_2 (ignore=<optimized out>) at
/home/sds/src/emacs/trunk/src/keyboard.c:1195
#7  0x0000000000556e18 in internal_catch (tag=<error reading variable:
Cannot access memory at address 0xffffffffffffffe0>,
    func=0x4e2a60 <command_loop_2>, arg=11987922) at
/home/sds/src/emacs/trunk/src/eval.c:1076
#8  0x00000000004e4587 in command_loop () at
/home/sds/src/emacs/trunk/src/keyboard.c:1174
#9  recursive_edit_1 () at /home/sds/src/emacs/trunk/src/keyboard.c:795
#10 0x00000000004e48c4 in Frecursive_edit () at
/home/sds/src/emacs/trunk/src/keyboard.c:859
#11 0x000000000041008a in main (argc=1, argv=<optimized out>) at
/home/sds/src/emacs/trunk/src/emacs.c:1647
(gdb) finish
Run till exit from #0  0x00007ffff3eba8fc in pselect () from
/lib/x86_64-linux-gnu/libc.so.6
0x00000000004b998f in XTflash (f=0x1175d50) at
/home/sds/src/emacs/trunk/src/xterm.c:3178
3178                pselect (0, NULL, NULL, NULL, &timeout, NULL);
(gdb)
Run till exit from #0  0x00000000004b998f in XTflash (f=0x1175d50) at
/home/sds/src/emacs/trunk/src/xterm.c:3178
input_available_signal (signo=29) at
/home/sds/src/emacs/trunk/src/keyboard.c:7240
7240    {
(gdb) f 4
#4  0x00000000004e4a4f in cmd_error_internal (data=54077670,
context=0x7fffffffcf50 "")
    at /home/sds/src/emacs/trunk/src/keyboard.c:1138
1138          bitch_at_user ();
(gdb) p data
$1 = 54077670
(gdb) xtype
Lisp_Cons
(gdb) xcons
$2 = (struct Lisp_Cons *) 0x33928e0
{
  car = 0xb7b7c2,
  u = {
    cdr = 0x3393116,
    chain = 0x3393116
  }
}
(gdb) p 0xb7b7c2
$3 = 12040130
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$4 = (struct Lisp_Symbol *) 0xb7b7c0
"wrong-type-argument"
(gdb) p
$5 = (struct Lisp_Symbol *) 0xb7b7c0
(gdb) p 0x3393116
$6 = 54079766
(gdb) xtype
Lisp_Cons
(gdb) xcons
$7 = (struct Lisp_Cons *) 0x3393110
{
  car = 0xba3472,
  u = {
    cdr = 0x3393126,
    chain = 0x3393126
  }
}
(gdb) p 0xba3472
$8 = 12203122
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$9 = (struct Lisp_Symbol *) 0xba3470
"window-live-p"
(gdb) p 0x3393126
$10 = 54079782
(gdb) xtype
Lisp_Cons
(gdb) xcons
$11 = (struct Lisp_Cons *) 0x3393120
{
  car = 0x3771195,
  u = {
    cdr = 0xb6ebd2,
    chain = 0xb6ebd2
  }
}
(gdb) p 0x3771195
$12 = 58134933
(gdb) xtype
Lisp_Vectorlike
PVEC_WINDOW
(gdb) xvector
$13 = (struct Lisp_Vector *) 0x3771190
0
(gdb) p *(struct Lisp_Vector *) 0x3771190
$14 = {
  header = {
    size = 4611686018427650087,
    next = {
      nbytes = 480,
      buffer = 0x1e0,
      vector = 0x1e0
    }
  },
  contents = {18308437}
}
(gdb) p 18308437
$15 = 18308437
(gdb) xtype
Lisp_Vectorlike
PVEC_FRAME
(gdb) xvect
xvector   xvectype
(gdb) xvector
$16 = (struct Lisp_Vector *) 0x1175d50
0
(gdb) p *(struct Lisp_Vector *) 0x1175d50
$17 = {
  header = {
    size = 4611686018427584534,
    next = {
      nbytes = 560,
      buffer = 0x230,
      vector = 0x230
    }
  },
  contents = {47727121}
}
(gdb) p 47727121
$18 = 47727121
(gdb) xtype
Lisp_String
(gdb) xstring
$19 = (struct Lisp_String *) 0x2d84210
"*unsent wide reply to Dmitri Hrapof* - /home/sds/Mail/drafts/1"
(gdb) p 0xb6ebd2
$20 = 11987922
(gdb) xtype
Lisp_Symbol
(gdb) xsymbol
$21 = (struct Lisp_Symbol *) 0xb6ebd0
"nil"

even though the window name is "unsent", the mail has actually been sent.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>